Skip to content
Order Management

Estimated Maximum Purchase Quantity

This interface is used to estimate the maximum buyable quantity for a specified stock under the current account funding conditions for a given securities account. By providing the account number account_no, stock symbol symbol, trade direction side, and order type order_type, with optional parameters including estimated order price price, settlement currency currency, and order ID order_id for the order modification scenario, it calculates and returns the maximum buyable quantity for cash accounts cash_max_qty and margin accounts margin_max_qty, taking into account available funds and margin ratios.

GEThttps://b-api.longbridge.xyz/v1/whaleapi/trade/estimate/buy_limit

Authorization

AuthorizationstringheaderRequired

Send the Broker ACCESS_TOKEN as Authorization: Bearer <token>.

Parameters

symbolstringRequired

Stock Symbol, in ticker.region format

sidestringRequired

Side

order_typestringRequired

Order Type

pricestringOptional

Estimated Order Price

currencystringOptional

Settlement Currency

order_idstringOptional

Order ID

account_nostringRequired

Account Number

Responses

HTTP 200Fields are taken from the real responses definition for this operation in the published Whale OpenAPI spec (whale-openapi/Whale-openapi.json).
Standard response envelopecodemessagedata
dataobjectdata structure
margin_max_qtystringrequired

Maximum Purchase Quantity with Financing. Maximum Purchase Quantity with Financing

cash_max_qtystringrequired

Maximum Purchase Quantity with Cash. Maximum Purchase Quantity with Cash

HTTP 400Bad request. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 401The user is not authenticated, or the login session has expired.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 403The current account is not authorized to use this feature. Grant the required permission to the account in User Permission.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 408The request timed out. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

Whale Docs